Package org.astrogrid.samp.web

# Class HubSwingClientAuthorizer

java.lang.Object
org.astrogrid.samp.web.HubSwingClientAuthorizer

All Implemented Interfaces:
  `ClientAuthorizer`

public class HubSwingClientAuthorizer extends Object implements ClientAuthorizer
ClientAuthorizer implementation that queries the user for permission via a popup dialogue.

Since:
  2 Feb 2011
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`HubSwingClientAuthorizer(Component parent, CredentialPresenter presenter)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`authorize(HttpServer.Request request, Map securityMap)`
Indicates whether an HTTP request representing an otherwise unauthorized connection attempt will be permitted access to sensitive system resources.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HubSwingClientAuthorizer

public HubSwingClientAuthorizer(Component parent, CredentialPresenter presenter)
Constructor.

Parameters:
  `parent` - parent component
  `presenter` - handles credential presentation to the user

## Method Details

### authorize

public void authorize(HttpServer.Request request, Map securityMap) throws SampException
Description copied from interface: `ClientAuthorizer`
Indicates whether an HTTP request representing an otherwise unauthorized connection attempt will be permitted access to sensitive system resources. If so, the method exits normally. If authorization is denied, a SampException is thrown, with a message that indicates the reason for denial.

Specified by:
  `authorize` in interface `ClientAuthorizer`
Parameters:
  `request` - incoming HTTP request
  `securityMap` - credential items supplied explicitly by aspiring client to support its registration request
Throws:
  `SampException` - with reason if authorization is denied